Query Analysis Type - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Query Analysis Type

cURL

curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-types/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/analysis-types/query"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/analysis-types/query', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response

200 - application/json

{
  "pageNumber": 123,
  "totalPages": 123,
  "content": [
    {
      "id": "<string>",
      "version": 123,
      "creationDate": "2023-11-07T05:31:56Z",
      "lastModifiedDate": "2023-11-07T05:31:56Z",
      "createdUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "lastModifiedUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "name": "<string>",
      "interimName": "<string>",
      "description": "<string>",
      "accountMappingRequired": true,
      "fundSupported": true,
      "interimSupported": true,
      "periodicSupported": true,
      "archived": true,
      "maxPeriod": 123,
      "sourceConfigurations": [
        {
          "sourceTypeId": "<string>",
          "required": true,
          "postAnalysis": true,
          "interimOnly": true,
          "disableForInterim": true,
          "allowMultiple": true,
          "allowMultipleForPeriodic": true,
          "alternativeRequiredSourceTypes": [
            "<string>"
          ],
          "tracksAdditionalDataEntries": true
        }
      ]
    }
  ],
  "numberOfElements": 123,
  "totalElements": 123,
  "pageable": {
    "pageNumber": 123,
    "pageSize": 123,
    "offset": 123,
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    }
  },
  "pageSize": 123,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "first": true,
  "last": true,
  "size": 123,
  "number": 123
}

Authorizations

Query Parameters

Body

Response